screenload(1)

NAME
screenload - screen loading program for Suns

SYNOPSIS
screenload [-black] [-white] [-index color] [-gray] [-hexfill count word ...] [-random] [-nofill] [-tile] [-pause] [-sleep msec] [-fb framebuffer] [rasterfile ...]

DESCRIPTION

Screenload is an almost upward-compatible replacement for Sun's old screenload. It reads in one or more rasterfiles and displays them on the screen, with a specified background. If no rasterfiles are specified on the command line, it reads from stdin.

OPTIONS

-black
    If the rasterfile is smaller than the full screen, fill in the border with black. This is the default.

-white
    Fill in the border with white.

-index
    For color displays, use this number as the colormap index of the background.

-gray
    Fill in the border with desktop gray.

-hexfill
    Fill in the border with the specified pattern of count 16-bit hexadecimal words. A one bit is black and a zero bit is white, and each word is one row in the 16-pixel-wide pattern.

-random
    Fill in the background with a random 50% gray pattern.

-nofill
    Don't do any background filling.

-tile
    Replicate the rasterfile over the entire screen.

-pause
    Wait for a newline to be typed on stdin before going on to the next rasterfile or exiting.

-sleep
    Wait for the specified number of milliseconds before displaying the next rasterfile (it's actually fairly clever about keeping the interval between rasterfiles constant regardless of their size).

-fb Use an alternate frame buffer. The default is /dev/fb.

All flags can be abbreviated to their shortest unique prefix.

SUMMARY OF DIFFERENCES

o   Old screenload used single-character flags, with combinations permitted; this version uses multi-character flags, with abbreviations permitted.

o   This version adds the -tile, -random, and -sleep flags.

o   This version will read and display multiple rasterfiles in sequence - this plus the -sleep flag lets you do simple animations.

o   Old screenload's -g flag gave you the SunView gray pattern; this version's -gray flag gives you the X11 gray pattern.

o   In old screenload, the -h flag took a hex count and a list of hex 16-bit patterns; in this version, the -hex flag takes a *decimal* count, plus the hex patterns.

SEE ALSO
screendump(1)

AUTHOR
Copyright (C) 1991, 1993 by Jef Poskanzer <jef@netcom.com>.